<?php
require_once(__DIR__ . "/../classes/Sistema.php");
set_sistema(Sistema::WIN7_ADM);
$sistema = new Sistema(true, false, false);

// Redireciona o cliente para a home caso ele não tenha permissão de acesso
if($sistema->usuario->permissao_leads_adm == Usuario::PERM_NENHUMA) $sistema->redirecionar("home");

// Redireciona o cliente para a home caso ele não tenha permissão de acesso
if($sistema->usuario->permissao_todos_contatos == Usuario::PERM_NENHUMA) $sistema->redirecionar("home");
?>
<!DOCTYPE html>
<html>
<head><!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-MFFM5J3');</script>
<!-- End Google Tag Manager -->
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
	<title>Relatórios - Sistema Win7</title>
	<link rel="icon" type="image/ico" href="favicon.png" />
	<link rel="stylesheet" href="../css/bootstrap.min.css">
	<link rel="stylesheet" href="../css/bootstrap-xl-xxl.css">
	<link rel="stylesheet" href="../css/font-awesome.min.css">
	<link rel="stylesheet" href="../css/ionicons.min.css">
	<link rel="stylesheet" href="../css/AdminLTE.min.css">
	<link rel="stylesheet" href="../css/skin-blue.min.css">
	<link rel="stylesheet" href="css/custom2.0.1.css">
	<link rel="stylesheet" href="../css/toastr.min.css">
	<link rel="stylesheet" href="../css/bootstrap-datepicker.min.css">
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
	<?php $sistema->layout->criar_meta_tags();?>
</head>

<body class="hold-transition skin-blue sidebar-mini <?php if($sistema->usuario->sidebar) {echo "sidebar-collapse"; }?>">
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-MFFM5J3"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
<div class="modal fade" id="modal-sistema"><div class="modal-dialog modal-lg"><div class="modal-content" id="modal-sistema-conteudo"></div></div></div>
<div class="wrapper">
	<?php $sistema->layout->exibir_cabecalho('baixar-todos-contatos');?>

	<div class="content-wrapper">
		<!-- Content Header (Page header) -->
		<section class="content-header">
			<h1>
			Relatórios
			<small>Visualize relatórios de todos os contatos</small>
			</h1>
			<ol class="breadcrumb">
				<li><a href="javascript:void(0);"><i class="fa green-text fa-user"></i> Contatos</a></li>
				<li><a href="home"> Relatórios</a></li>
			</ol>
		</section>

		<section class="content container-fluid">
			<form action="action/baixar_todos_contatos" method="POST" id="formContatos">
			<div class="row">
				<div class="col-xs-12">
          			<div class="box">
          				<div class="box-body">
          					<?php if(isset($_SESSION['erro-todos-contatos'])) { ?>
							<div class="alert alert-danger alert-dismissible">
								<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
								<?php
								switch($_SESSION['erro-todos-contatos']){
									case 0:
										echo "Filtro de pesquisa inválido";
										break;
									case 1:
										echo "Houve um erro com o servidor";
										break;
									case 2:
										echo "Há muitos registros a serem exibidos. Selecione um período menor.";
										break;
								}
								?>
							</div>
							<?php unset($_SESSION['erro-todos-contatos']); } ?>
          					<div class="row">
          						<div class="col-xs-12">
          							<p>Para baixar os contatos de todos os clientes no formato Excel, por favor preencha as informações abaixo e clique em "Gerar Arquivo".</p>
          						</div>
          						<div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
          							<div class="form-group">
	          							<label>Período:</label>
										<select name="data" id="data" class="form-control" title="Selecione um perído">
											<?php $sistema->layout->select_periodo(); ?>
										</select>
									</div>
          						</div>
          						<div class="<?php if($sistema->filtro->valor() != "CUSTOM_DATE") { echo "hide"; } ?> datadiv">
          							<div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
	          							<div class="form-group">
											<label>Data Inicial:</label>
											<div class="input-group date">
												<div class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</div>
												<input type="text" class="form-control pull-right datepicker" name="datainicial" id="datainicial" value="<?php echo $sistema->filtro->data_inicio(); ?>">
											</div>
										</div>
									</div>
									<div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
										<div class="form-group">
											<label>Data Final:</label>
											<div class="input-group date">
												<div class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</div>
												<input type="text" class="form-control pull-right datepicker" class="datepicker" name="datafinal" id="datafinal" value="<?php echo $sistema->filtro->data_fim(); ?>">
											</div>
										</div>
									</div>
								</div>
								<div class="col-xs-12">
          							<p class="text-muted">Selecione os dados serão adicionados ao arquivo excel:</p>
          							<div class="checkbox">
										<label>
											<input type="checkbox" name="nome" id="nome" value="Sim" checked="checked" disabled>
											Nome (Já Incluso)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										</label>
										<label>
											<input type="checkbox" name="email" id="email" value="Sim" checked="checked">
											Email&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										</label>
										<label>
											<input type="checkbox" name="telefone" id="telefone" value="Sim" checked="checked">
											Telefone&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										</label>
										<label>
											<input type="checkbox" name="datacontato" id="datacontato" value="Sim" checked="checked">
											Data do Contato&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										</label>
										<label>
											<input type="checkbox" name="mensagem" id="mensagem" value="Sim">
											Mensagem&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										</label>
										<label>
											<input type="checkbox" name="status" id="status" value="Sim">
											Status&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										</label>
									</div>
          						</div>
          					</div>
          				</div>
          				<div class="box-footer">
  							<button type="submit" class="btn btn-primary text-center" >Gerar Arquivo</button>
  						</div>
          				<div class="overlay preloader">
							<i class="fa fa-refresh fa-spin"></i>
						</div>
          			</div>
          		</div>
			</div>
			</form>
		</section>
	</div>

	<?php $sistema->layout->exibir_rodape();?>
</div>

<script src="../js/jquery.min.js"></script>
<script src="../js/bootstrap.min.js"></script>
<script src="../js/adminlte.min.js"></script>
<script src="../js/bootstrap-datepicker.min.js"></script>
<script src="../js/bootstrap-datepicker.pt-BR.min.js"></script>
<script src="../js/toastr.min.js"></script>
<script src="../js/jquery.mask.min.js"></script>
<script src="../js/date.js"></script>
<script src="../js/filtros.js"></script>
<script src="js/baixar-todos-contatos2.0.0.js"></script>

</body>
</html>